Permalink
86 lines (85 sloc) 2.36 KB
{
"name": "graphiql",
"version": "0.8.1",
"description": "An graphical interactive in-browser GraphQL IDE.",
"contributors": [
"Hyohyeon Jeong <asiandrummer@fb.com>",
"Lee Byron <lee@leebyron.com> (http://leebyron.com/)"
],
"homepage": "https://github.com/graphql/graphiql",
"bugs": {
"url": "https://github.com/graphql/graphiql/issues"
},
"repository": {
"type": "git",
"url": "http://github.com/graphql/graphiql.git"
},
"license": "SEE LICENSE IN LICENSE",
"main": "dist/index.js",
"files": [
"dist",
"graphiql.js",
"graphiql.min.js",
"graphiql.css",
"README.md",
"LICENSE"
],
"browserify-shim": {
"react": "global:React",
"react-dom": "global:ReactDOM"
},
"options": {
"mocha": "--full-trace --require resources/mocha-bootload src/**/*-test.js"
},
"scripts": {
"build": ". ./resources/build.sh",
"check": "flow check",
"dev": "babel-node test/server.js",
"lint": "eslint src",
"prepublish": ". ./resources/prepublish.sh",
"preversion": ". ./resources/checkgit.sh && npm test",
"test": "npm run lint && npm run check && npm run testonly",
"testonly": "babel-node ./node_modules/.bin/_mocha $npm_package_options_mocha"
},
"dependencies": {
"codemirror": "5.23.0",
"codemirror-graphql": "0.6.1",
"marked": "0.3.6"
},
"peerDependencies": {
"graphql": "^0.6.0 || ^0.7.0 || ^0.8.0-b",
"react": ">=0.14.8",
"react-dom": ">=0.14.8"
},
"devDependencies": {
"autoprefixer": "6.6.1",
"babel-cli": "6.22.2",
"babel-eslint": "7.1.1",
"babel-plugin-syntax-async-functions": "6.13.0",
"babel-plugin-transform-class-properties": "6.19.0",
"babel-plugin-transform-object-rest-spread": "^6.20.2",
"babel-preset-es2015": "6.18.0",
"babel-preset-react": "6.16.0",
"babelify": "7.3.0",
"browserify": "13.3.0",
"browserify-shim": "3.8.12",
"chai": "3.5.0",
"chai-subset": "1.4.0",
"eslint": "3.13.1",
"eslint-plugin-babel": "4.0.1",
"eslint-plugin-react": "6.9.0",
"express": "4.14.0",
"express-graphql": "0.6.1",
"flow-bin": "0.38.0",
"graphql": "0.8.2",
"jsdom": "9.9.1",
"mocha": "3.2.0",
"postcss-cli": "^2.6.0",
"react": "15.4.2",
"react-dom": "15.4.2",
"react-test-renderer": "15.4.2",
"uglify-js": "2.7.5",
"uglifyify": "3.0.4",
"watchify": "3.8.0"
}
}